CVE-2013-2100
CVSS9.3
发布时间 :2014-09-29 18:55:07
修订时间 :2017-08-28 21:33:14
NMOPS    

[原文]The urlopen function in pym/portage/util/_urlopen.py in Gentoo Portage 2.1.12, when using HTTPS, does not verify X.509 certificates from SSL servers, which allows man-in-the-middle attackers to spoof servers and modify binary package lists via a crafted certificate.


[CNNVD]CNNVD数据暂缺。


[机译]**储备**候选人由一个组织或个人将使用它宣布了新的安全问题时,已预留。

- CVSS (基础分值)

CVSS分值: 9.3 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-310 [密码学安全问题]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2100
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2013-2100
(官方数据源) NVD

- 其它链接及资源

http://openwall.com/lists/oss-security/2013/05/15/5
(UNKNOWN)  MLIST  [oss-security] 20130515 CVE Request: Man in the middle on Gentoo Portage binary package installer
http://openwall.com/lists/oss-security/2013/05/16/3
(UNKNOWN)  MLIST  [oss-security] 20130515 Re: CVE Request: Man in the middle on Gentoo Portage binary package installer
http://www.securityfocus.com/bid/59878
(UNKNOWN)  BID  59878
https://bugs.gentoo.org/show_bug.cgi?id=469888
(PATCH)  CONFIRM  https://bugs.gentoo.org/show_bug.cgi?id=469888
https://exchange.xforce.ibmcloud.com/vulnerabilities/84315
(UNKNOWN)  XF  portage-cve20132100-sec-bypass(84315)
https://security.gentoo.org/glsa/201507-16
(UNKNOWN)  GENTOO  GLSA-201507-16

- 漏洞信息 (F132630)

Gentoo Linux Security Advisory 201507-16 (PacketStormID:F132630)
2015-07-10 00:00:00
Gentoo  security.gentoo.org
advisory,remote
linux,gentoo
CVE-2013-2100
[点击下载]

Gentoo Linux Security Advisory 201507-16 - A vulnerability in Portage's urlopen function could allow a remote attacker to conduct a man-in-the-middle attack. Versions less than 2.1.12.2 are affected.

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 201507-16
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                           https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

 Severity: Normal
    Title: Portage: Man-in-the-middle attack
     Date: July 10, 2015
     Bugs: #469888
       ID: 201507-16

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A vulnerability in Portage's urlopen function could allow a remote
attacker to conduct a man-in-the-middle attack.

Background
==========

Portage is the package management and distribution system for Gentoo.

Affected packages
=================

    -------------------------------------------------------------------
     Package              /     Vulnerable     /            Unaffected
    -------------------------------------------------------------------
  1  sys-apps/portage            < 2.1.12.2               >= 2.1.12.2 

Description
===========

Portage does not verify X.509 SSL certificate properly if HTTPS is
used.

Impact
======

A remote attacker can spoof servers and modify binary package lists via
specially crafted certificate.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All Portage users should upgrade to the latest version:

  # emerge --sync
  # emerge --ask --oneshot --verbose ">=sys-apps/portage-2.1.12.2"

References
==========

[ 1 ] CVE-2013-2100
      http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-2100

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

 https://security.gentoo.org/glsa/201507-16

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2015 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5
    

- 漏洞信息

93406
Gentoo Linux Portage SSL Certificate Validation MitM Spoofing Weakness
Context Dependent Authentication Management
Loss of Integrity Patch / RCS
Exploit Public Vendor Verified

- 漏洞描述

Gentoo Linux contains a flaw in Portage that is due to the program failing to properly validate SSL certificates. This may allow a context-dependent attacker to spoof a valid server and conduct a Man-in-the-Middle attack.

- 时间线

2013-05-14 Unknow
Unknow 2013-05-15

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, a patch has been committed to the source code repository (e.g. GIT, CVS, SVN) that addresses this vulnerability. Until it is incorporated into the next release of the software, manually patching an existing installation is the only known available solution. Check the vendor links in the references section for more information.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Portage 'urlopen()' SSL Certificate Validation Security Bypass Vulnerability
Design Error 59878
Yes No
2013-05-15 12:00:00 2013-05-16 05:53:00
Jason A. Donenfeld

- 受影响的程序版本

Gentoo sys-apps/portage 2.1.4.5
Gentoo sys-apps/portage 2.1.4.4
Gentoo sys-apps/portage 2.1.3.11
Gentoo sys-apps/portage 2.1.3.10

- 漏洞讨论

Portage is prone to a security-bypass vulnerability because the application fails to properly validate SSL certificates from the server.

Successfully exploiting this issue allows attackers to perform man-in-the-middle attacks or impersonate trusted servers, which will aid in further attacks.

- 漏洞利用

An attacker can exploit this issue using readily available tools.

- 解决方案

Updates are available. Please see the references or vendor advisory for more information.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站